Name: lilo
Version: 22.4.1
Release: alt4

Summary: The boot loader for Linux and other operating systems
License: MIT
Group: System/Kernel and hardware
Url: http://brun.dyndns.org/pub/linux/%name

Source: %url/%name-%version.tar.bz2

Patch1: %name-21.6-mdk-keytab.patch
Patch2: %name-21.6-mdk-part.patch
Patch3: %name-22.3.4-alt-constants.patch
Patch4: %name-22.1-alt-compile.patch
Patch5: %name-22.1-alt-defaults.patch
Patch6: %name-22.3.4-alt-strict.patch
Patch7: %name-22.3.4-alt-makefile.patch
Patch8: %name-22.3.4-alt-getopt.patch
Patch9: %name-22.4.1-alt-mkrescue.patch
Patch10: %name-22.4.1-suse-gfx.patch

ExclusiveArch: %ix86

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Fri May 30 2003
BuildRequires: dev86 nasm tetex-core tetex-dvips tetex-latex

%package doc
Summary: More documentation for %name
Group: System/Kernel and hardware
Requires: %name = %version-%release

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive, boots
the kernel and passes control of the system to the kernel.  LILO can also
boot other operating systems.

%description doc
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive, boots
the kernel and passes control of the system to the kernel.  LILO can also
boot other operating systems.

This package contains extra documentation for LILO.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%__subst 's/mkdir /mkdir -p /g' Makefile

%build
%make_build
make -C doc user.ps tech.ps

%install
%make_install install ROOT=$RPM_BUILD_ROOT MAN_DIR=%_mandir

%define docdir %_defaultdocdir/%name-%version
%__mkdir_p $RPM_BUILD_ROOT%docdir
%__install -p -m644 README* CHANGES COPYING INCOMPAT QuickInst doc/*.ps $RPM_BUILD_ROOT%docdir/
bzip2 -9 $RPM_BUILD_ROOT%docdir/{README,CHANGES,*.ps}

%post
if [ -f /etc/%name.conf -a /usr/sbin/detectloader -a -f /proc/partitions ]; then
	if [ "`/usr/sbin/detectloader`" = LILO ]; then
		/sbin/%name || echo "Please run %name manually." >&2
	fi
fi

%files
/sbin/*
%_sbindir/*
%_mandir/man?/*
%dir %docdir
%docdir/[A-Z]*

%files doc
%dir %docdir
%docdir/*.ps*

%changelog
* Wed Aug 20 2003 Dmitry V. Levin <ldv@altlinux.org> 22.4.1-alt4
- Updated build dependencies.

* Fri May 30 2003 Dmitry V. Levin <ldv@altlinux.org> 22.4.1-alt3
- Fixed mkrescue (was broken since 21.6-ipl4mdk),
  patch from Anton V. Denisov.

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 22.4.1-alt2
- Added gfx image format support from SuSE.

* Mon Feb 03 2003 Dmitry V. Levin <ldv@altlinux.org> 22.4.1-alt1
- Updated to 22.4.1

* Mon Dec 09 2002 Dmitry V. Levin <ldv@altlinux.org> 22.3.4-alt1
- Updated to 22.3.4, redone patches.
- %%post: do not try to reinstall boot loader when either
  detectloader or /proc/partitions are not available.

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 22.1-alt1
- 22.1
- Splitted and ported our patches to new version.

* Mon Aug 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 21.7.5-alt1
- 21.7.5
- Relocated documentation.

* Mon Feb 26 2001 Dmitry V. Levin <ldv@fandra.org> 21.7-ipl1mdk
- 21.7

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 21.6.1-ipl2mdk
- Set our white-on-blue color scheme and title by default.

* Wed Jan 03 2001 Dmitry V. Levin <ldv@fandra.org> 21.6.1-ipl1mdk
- 21.6.1.

* Fri Dec 29 2000 Dmitry V. Levin <ldv@fandra.org> 21.6-ipl4mdk
- Rewritten argument parsing code.

* Fri Dec 15 2000 Dmitry V. Levin <ldv@fandra.org> 21.6-ipl3mdk
- Fixed argument parsing (MDK).

* Wed Oct 18 2000 Dmitry V. Levin <ldv@fandra.org> 21.6-ipl2mdk
- Merge MDK & RH patches.

* Thu Oct 05 2000 Dmitry V. Levin <ldv@fandra.org> 21.6-ipl1mdk
- 21.6
- Automatically added BuildRequires.

* Mon Aug 28 2000 Dmitry V. Levin <ldv@fandra.org> 21.5.1-ipl1mdk
- 21.5.1

* Wed Aug 16 2000 Dmitry V. Levin <ldv@fandra.org> 21.5-ipl2mdk
- BM.

* Wed Jul 19 2000 Dmitry V. Levin <ldv@fandra.org> 21.5-ipl1mdk
- 21.5

* Sat May 27 2000 Dmitry V. Levin <ldv@fandra.org>
- RE and Fandra adaptions

* Mon May 08 2000 Dmitry V. Levin <ldv@fandra.org>
- 21.4.3

* Wed Mar 8 2000 AEN <aen@logic.ru>
- 21.3

* Wed Feb 23 2000 Pixel <pixel@mandrakesoft.com> 0.22-19mdk
- Really is 0.22 (non <<official>> version with EDD enabled)
  (EDD means no more 1024 cylinder problem)

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.22-18mdk
- Silly me reuploading and upgrade the ChangeLog.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.22-17mdk
- Add loopdev and second patch (r).

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the EBDA patch from zab and put in the EBDA patch
  from the VA Research RPM.  This fixes the EBDA issues.(r)
- Added ONE_SHOT to the compile options so that the lilo
  prompt won't timeout once you hit a key at the boot prompt(r)

* Wed Sep 22 1999 Pixel <pixel@mandrakesoft.com>
- added defattr (no comment)

* Tue Sep 21 1999 Pixel <pixel@mandrakesoft.com>
- patched keytab-lilo.pl (again!) to make it work (better) (changed a regexp)

* Sun Sep 19 1999 Pixel <pixel@mandrakesoft.com>
- added -DONE_SHOT to patch lilo-ebda (that way timeout is disabled as soon as a
  key is pressed)
- patched keytab-lilo.pl to make it work (removed bad suffix .map)

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add the patch to boot on Compaq Smart Array 3200.

* Wed Jul 21 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- recommend manual lilo installation if post fails

* Mon Jul 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added turkish description

* Mon Jul 19 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Add french description from Gregus <gregus@etudiant.net>

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Use the ebda patch from VA-Research.

* Thu Jun 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Use -DIGNORECASE -DVARSETUP -DREWRITE_TABLE -DLCF_LARGE_EBDA
  -DLARGE_EBDA by default. LARGE_EBDA is needed for some SMP systems.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for Mandrake-6.0.
- Add keyab-lilo.pl to the file-list

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- handle RPM_OPT_FLAGS

* Sun Dec  6 1998 Matt Wilson <msw@redhat.com>
- updated to release 0.21
- patched to build on 2.1.x kernels

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to release 0.20
- uses a build root

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc
